// Functions
@function gray($percent) {
	@return darken(white, $percent);
}

// Variables
$dayBg: gray(3%);
$dayColor: gray(60%);
$pastBg: gray(10%);
$pastColor: gray(80%);
$todayBg: #CFFFAC;
$todayColor: black;
$anotherMonthBg: gray(20%);
$anotherMonthColor: gray(55%);

$cellheight: 33px;

// Extends
%days {
  position: relative;
	float: left;
	display: block;
	width: (100% / 7); 
	height: $cellheight;
	line-height: $cellheight - 1;
	
	text: {
	decoration: none;
	align: center;
	}
}

%border {
	border: {
		style: solid;
		color: gray(33%);
	}
}

// The Calendar CSS
.asideCalendar {
	border: 1px solid gray(20%);
	padding: 4px;
	background-color: white;
	font-size: 14px;
	
	//@include box-shadow(0 0 8px rgba(gray(33%), 0.5));
	
	h2 {
		margin: 10px 0;
		text-align: center;
		font-size: 18px;
	
	span {
		font-size: 1.25em;
	}
	
		a {
			display: inline-block;
			color: inherit;
			text-decoration: none;
			
			&.arrow-left {
				margin-right: 0.45em;
				
				i {
					
					right: 0;
				}
			}
			
			&.arrow-right {
				margin-left: 0.45em;
				
				i {
					
					left: 0;
				}
			}
			
			i {
				position: relative;
				
				@include transition(
					left 0.2s linear,
					right 0.2s linear
				);
			}
			
			&.right:hover i {
				left: 3px;
			}
			
			&.left:hover i {
				right: 3px;
			}
		}
	}
	
	.calendarTitle {
		@include clearfix;
		@extend %border;
		
		border-width: 0 0 0 1px;
		font-size: 1.15em;
		
		span {
			@extend %days;
			@extend %border;
			
			border-width: 1px 1px 1px 0;
			font-weight: 700;
		}
	}
	
	.calendarBody {
		@include clearfix;
		@extend %border;
		
		border-width: 0 0 0 1px;
		
		a {
			@extend %days;
			@extend %border;
			
			border-width: 0 1px 1px 0;
			background-color: $dayBg;
			color: $dayColor;
			
			&.past {
				background-color: $pastBg;
				color: $pastColor;
			}
			
			&.today {
				background-color: $todayBg; 
				color: $todayColor; 
				font: {
					 weight: 700;
					 size: 1.1em;
				}
			}
			
			&.previousMonth,
			&.nextMonth {
				font-size: 0.85em;
				background-color: $anotherMonthBg;
				color: $anotherMonthColor;
			}
      
      &:before {
        content: '';
        position: absolute;
        left: 50%;
        top: 50%;
        z-index: 0;
        display: block;
        width: 0;
        height: 0;
        background-color: transparent;
        
        $speed: 0.3s;
        @include transition(
          left $speed linear,
          top $speed linear,
          width $speed linear,
          height $speed linear,
          color $speed linear
        );
      }
      
      &:hover {
        &:before {
          
          left: 3%;
          top: 3%;
          width: 94%;
          height: 94%;
          background-color: rgba(blue, 0.333);
        }
      }
		}
	}
}
